package aggregate.arrays;

/**
 * 数组类型，Array
 */
public class ArrayExample {
	public static void main(String[] args) {
		// 定义可以存3个整数的Array
		int[] intNumbers = new int[3];
		// 赋值
		intNumbers[0] = 32;
		intNumbers[1] = 45;
		intNumbers[2] = 67;
		// 使用：循环打印，并加总
		int sum = 0; // intNumbers.length 返回数组的长度，3
		for (int i = 0; i < intNumbers.length; i++) {
			System.out.print(intNumbers[i] + " ");
			sum += intNumbers[i];
		}
		System.out.println("\n sum = " + sum);
		// 对数据集合类型的第二种循环方式
		System.out.println("iterate by ':'");
		for(int num : intNumbers) {
			System.out.print(num + " ");
		}
		String aSentence = "This is a beautiful world";
		String[] words = getWords(aSentence);
		System.out.println();
		for(int i = 0; i < words.length; i++) {
			System.out.printf("%d: %s\n", i, words[i]);
		}
	}
	
	static String[] getWords(String sentence) {
		// 根据空格拆分字符串
		String[] words = sentence.split(" "); // 参数：根据什么拆分字符串
		return words;
	}
}
