package aggregate.list;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import constructors.Student;

public class ListExample {
	
	public static void main(String[] args) {
		// a list of integers
		// 构建一个可以存储integers的list
		List<Integer> intNumbers = new ArrayList<>();
		intNumbers.add(12);
		intNumbers.add(34);
		for(int i = 100; i < 110; i++) {
			intNumbers.add(i);
		}
		System.out.println(intNumbers);
		intNumbers.remove(0); // 删除第0个number
		System.out.println(intNumbers);
		int index = 2;
		System.out.printf("list at %d: %d\n", index, intNumbers.get(index));
		// 生成10个随机数，并保存在list里
		List<Double> randNumbers = new ArrayList<>();
		Random random = new Random();
		for(int time = 1; time <= 10; time ++) {
			//random.nextDouble() 生成0-1之间的随机数
			randNumbers.add(random.nextDouble());
		}
		System.out.println(randNumbers);
		
		// 一个list的Student
		List<Student> students = new ArrayList<>();
		Student stu1 = new Student("1001", "张三", 2023);
		students.add(stu1);
		Student stu2 = new Student("1002", "李四", 2024);
		students.add(stu2);
		System.out.println(students);
	}
}
